<?
session_start();
include("../../clases/BDConexion.php");
  include("../../clases/clsTdoc.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
$codigodoc=$_POST['codigodoc'];
$tipodoc=$_POST['tipodoc'];
$numero=$_POST['numero'];
//$numtradocu="PER/".$tipodoc."-".$numero."/".$_SESSION['usuarea']."-".date(my);
//$fecha=$_POST['fecha'];
  $objTdoc=new clsTdoc;
  $existedoc=$objTdoc->existeasignatdoc($_SESSION['usuarioId'],$_POST['tipodoc']); 
  $existetradoc=$objTdoc->existetramite($codigodoc);
  if($_POST['tipodoc']=="MEM"){
	$de=$_POST['de'];
	$para=$_POST['para'];
	$referencia=NULL;
	$asunto=$_POST['asunto'];
	$personal=NULL;
	$titulo=NULL;
  }elseif($_POST['tipodoc']=="CAR"){
  	$de=NULL;
	$para=$_POST['para'];
	$referencia=$_POST['referencia'];
	$asunto=$_POST['asunto'];
	$personal=NULL;
	$titulo=NULL;
  }elseif($_POST['tipodoc']=="PAG" or $_POST['tipodoc']=="CTO"){
  	$de=NULL;
	$para=NULL;
	$referencia=NULL;
	$asunto=NULL;
	$personal=$_POST['personal'];
	$titulo=NULL;
  }elseif($_POST['tipodoc']=="PRO"){
  	$de=NULL;
	$para=NULL;
	$referencia=NULL;
	$asunto=NULL;
	$personal=NULL;
	$titulo=$_POST['titulo'];
  }elseif($_POST['tipodoc']=="FOR"){
    $de=NULL;
	$para=NULL;
	$referencia=NULL;
	$asunto=NULL;
	$personal=NULL;
	$titulo=NULL;
  }
  $count=count($selec);
	for($y=0;$y<$count;$y++)
	{						
			//$_SESSION['f']="";
			$f=$f.$selec[$y].",";
	}	
	$areas=$f;
  $archivito="PER-".$tipodoc."-".$numero."-".$codigodoc1."-".date(my).".doc";
  if($existedoc==0){
  	$objTdoc->registrarasignatdocarea($_SESSION['usuarioId'],$areas.$_SESSION['logina'].",",$_POST['tipodoc']);
  }else{
  	$objTdoc->Updateasignatdocarea($_SESSION['usuarioId'],$areas.$_SESSION['logina'].",",$_POST['tipodoc']);
  }
  if($existetradoc=="0"){
  	if($confidencial=='0'){
  	$objTdoc->registrartradocu($codigodoc.$codigodoc1.$codigodoc2,extraerfechamysql($fecha),$_SESSION['logina'],$referencia,$asunto,$personal,$areas.$_SESSION['logina'].",",$confidencial,$tipodoc,$de,$para,$archivito,$titulo,$_SESSION['usuarea']);
	}else{
	$objTdoc->registrartradocu($codigodoc.$codigodoc1.$codigodoc2,extraerfechamysql($fecha),$_SESSION['logina'],$referencia,$asunto,$personal,$_SESSION['logina'].",",$confidencial,$tipodoc,$de,$para,$archivito,$titulo,$_SESSION['usuarea']);
	}
  }else{
  	if($confidencial=='0'){
  	$objTdoc->Updatetradocu($codigodoc.$codigodoc1.$codigodoc2,extraerfechamysql($fecha),$referencia,$asunto,$personal,$areas.$_SESSION['logina'].",",$confidencial,$de,$para,$archivito,$titulo);
	}else{
	$objTdoc->Updatetradocu($codigodoc.$codigodoc1.$codigodoc2,extraerfechamysql($fecha),$referencia,$asunto,$personal,$_SESSION['logina'].",",$confidencial,$de,$para,$archivito,$titulo);
	}
  }
  /* if($_POST['tipodoc']=="CAR" and date(dm)=='0101'){
  	$numero=0;
  	$objTdoc->Updatenumtdoc1($_POST['tipodoc'],$numero);
  }else{ */
  if($_POST['tipodoc']=="PAG"){
  	$objTdoc->Updatenumtdoc2($_SESSION['usuarea'],$numero);
  }else{
  	$objTdoc->Updatenumtdoc1($_POST['tipodoc'],$numero);
  }
  //}
  /* if($_POST['tipodoc']=="PAG"){
  	if(date(dm)=='0101'){
	$numero=0;
  	$objTdoc->Updatenumtdoc2($_SESSION['usuarea'],$numero);
  	}else{ */
  	
  	/* }
  }  */ 
$fechactual=$fecha;   
$fechahoy=fechahoy($fecha);
Redirigir("per_send_exportword.php?codigodoc=$codigodoc&codigodoc1=$codigodoc1&codigodoc2=$codigodoc2&de=$de&para=$para&referencia=$referencia&asunto=$asunto&personal=$personal&tipodoc=$tipodoc&numero=$numero&fechahoy=$fechahoy&titulo=$titulo&fechactual=$fechactual");
  
  
?>